/*
hectorlgg jun 2021, página realizada el 21junio2021, para sustituir la anterio de hectorlgg.com
*/

:root{
    --clr-azul43:   #094293;
    --clr-negro02: #1c0d02;
    --clr-grisC: #5e544f;
    --clr-rojoA: #c93c20;
    --clr-rojoP: #ae510c;
    --clr-rojoC: #c35831;
    --clr-blancoT: #f6f6f6;
    --clr-marfil: #e6d690;

    --clr-fondoNegro: #1f1f1f;
    --clr-fondoDorado: #c39d63;

    --ff-nunito: 'Nunito Sans', sans-serif;
    --ff-oswald: 'Oswald', sans-serif;
    --ff-play: 'Playfair Display', serif;
    --ff-roboto: 'Roboto', sans-serif;
}

*,
*::before,
*::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    font-family: var(--ff-oswald);
    font-weight: 300;
    font-size: 1.3125rem;
    line-height: 1.6rem;
}

body,
h1,
h2,
h3,
p {
    margin: 0;
}

h1,
h2,
h3 {
    font-family: var(--ff-oswald);
    font-weight: 900;
    line-height: 1;
    margin-bottom: 1em;
    /* color: var(--clr-primary-400); */
}

h2,
h3,
p {
    margin-bottom: 1em;
}

img {
    display: block;
    max-width: 100%;
    border-radius: 0.25rem;
    /* box-shadow: 12px 12px 2px 1px rgba(0, 0, 0, 0.2); */
}

.menu .contenedor {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 1rem;
  }

.logoEmp {
    width: max(1.5%, 3.1rem);
    margin-left: 2rem;
}

.menu-icon {
    width: max(2%, 2.5rem);
    height: 2.5rem;
    float: right;
    margin-top: 0;
    z-index: 100;
    margin-left: auto;
    margin-right: auto;
}

@media (max-width: 40em) {

    .logoEmp img {
        width: (max(1% 0.5rem));
    }

    .menu-icon {
        width: max(2%, 1.5rem);
        height: 1.5rem;
    }
}






/* ////////////////////////////////////////// */
/* /// PAGINA INDEX /// */

/* HEADER BARRA MENU */
nav {
    position: absolute;
    top: 13.5%;
    right: 2.5%;
    width: min(30%, 12rem);
    background-color: rgba(201, 60, 32, 1);
    display: none;
    border-radius: 4px;
    z-index: 99;
}

nav ul li {
    margin-top: 2.5rem;
    list-style: none;
    padding-right: 2rem;
}

nav ul li a {
    text-decoration: none;
    color: var(--clr-blancoT);
    font-size: 2rem;
    font-weight: 100;
    transition: 0.7s;
}

nav ul li a:hover {
    background-color: var(--clr-blancoT);
    color: var(--clr-rojoA);
    font-family: var(--ff-roboto);
    letter-spacing: 3px;
    border-radius: 4px;
}

@media (max-width: 40em) {

    nav ul li a {
        font-size: 1rem;
    }

    nav ul li a:hover {
        letter-spacing: 1.5px;
        border-radius: 1.5px;
    }
}






/*===============================================*/
/* SECCION INICIO */
#inicio {
    background-image: url(../img/lukas.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
}

#inicio .container {
    display: flex;
    margin-right: 1rem;
}

#inicio .izq {
    width: 100%;
}

.container .txt-center {
    text-align: center;
}

.izq h1 {
    font-size: 3.5rem;
    font-family: var(--ff-play);
    font-weight: 900;
    color: var(--clr-rojoA);
}

.izq p {
    font-size: 2rem;
}

#inicio .der {
    background-color: var(--clr-fondoNegro);
    width: 45%;
    position: relative;
    top: 6rem;
    padding: 4rem 1rem;
    color: var(--clr-blancoT);
    opacity: 0.93;
    border-radius: 4px;
    height: 94%;
}

.der .contactoI {
    width: 70%;
    margin: auto;
}

.der h3 {
    font-size: 1.5rem;
    font-weight: 100;
}

.der p {
    padding: 1rem 0;
}

.der a {
    color: var(--clr-negro02);
    font-style: italic;
    background-color: #c39d63;
    padding: 0.5rem;
    display: inline-block;
    text-decoration: none;
    font-size: 1.7vw;
}

.container-form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

form input[type="text"], [type="email"] {
    font-family: var(--ff-oswald);
    font-size: 1.5rem;
    font-weight: 400;
    background-color: var(--clr-grisC);
    width: 100%;
    border: 0;
    margin-bottom: 1.5rem;
    color: var(--clr-blancoT);
}

form input[type="submit"], [type="reset"] {
    font-family: var(--ff-oswald);
    font-size: 1.5rem;
    font-weight: 400;
    background-color: var(--clr-fondoDorado);
    display: block;
    margin: auto;
    width: 100%;
    margin-top: 1rem ;
    border: 0;
}

form textarea {
    background-color: var(--clr-grisC);
    width: 100%;
    color: var(--clr-blancoT);
    border: none;
}

::placeholder {
    color: var(--clr-blancoT);
}

.respuestaEnvioOk {
    font-size: 1rem;
    font-weight: normal;
}

msg-error {
    color: #c65848;
}

.g-recaptcha.error {
    border: solid 2px #c64848;
    padding: .2em;
    width: 19em;
}

@media (max-width: 67em) {
    #servicios .container-servicios {
        flex-direction: column;
    }
}

@media (max-width: 40em) {

    .container .izq img {
        max-width: 60%;
    }

    #inicio {
        background-size: 100%;
    }

    #inicio .container {
        display: inline-block;
        margin: 0;
    }

    #inicio .der {
        width: 100%;
        height: 64%;
    }

    .der a {
        font-size: 5vw;
    }

}







/*===============================================*/
/* SECCION SERVICIOS */
.container-sc {
    margin-inline: auto;
    width: min(90%, 70.5rem);
    padding: 7rem 0;
}

.container-sc h2:first-child{
    padding: 12rem 2rem 0 0;
}

.container-sc .txt-center {
    text-decoration: underline;
}

#servicios .container-servicios {
    display: flex;
    justify-content: space-between;
}

#servicios img {
    width: 100%;
    height: 100%;
}

.container-servicios .servicio  {
    width: 100%;
    position: relative;
}


.overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 11%;
    transition: 1.5s;
    overflow: hidden;
    background: rgba(201, 60, 32, 0.95);
}

.servicio:hover .overlay {
    color: var(--clr-blancoT);
    height: 85%;
    cursor: cell;
    transition: 2.5s;
}

.overlay p{
    padding: 0 0.5rem;
    font-size: 1rem;
    line-height: 1rem;
    text-align: justify;
}

.overlay p:first-child {
    padding: 0.5rem 0;
    font-size: 3rem ;
    text-align: center;
    line-height: 0;
}

@media (max-width: 40em) {
    .container-sc {
        margin-inline: auto;
        width: min(90%, 70.5rem);
        padding: 4rem 0;
    }

    .container-sc h2:first-child{
        font-size: 1.5rem;
        padding: 2rem 0;
    }

    #servicios .container-servicios {
        flex-direction: column;
    }

    #servicios img {
        margin-left: auto;
        margin-right: auto;
        display: block;
        margin-top: 3rem;
        width: 99%;
    }

    .overlay {
        height: 17%;
    }

    .servicio:hover .overlay {
        height: 95%;
    }

    .overlay p {
        font-size: 1rem;
    }

}






/*===============================================*/
/* SECCION CLIENTES */
.split img {
    box-shadow: 50px 70px 120px -40px var(--clr-grisC);
}

.split {
    display: flex;
    flex-direction: row;
}

.split img:hover {
    opacity: 0.8;
}

.split p {
    text-align: justify;
}

.split > * {
    flex-basis: 100%;
}

.split > * + * {
    margin-left: 2em;
}

.bg-dark { 
    color: var(--clr-negro02);
    background-color: var(--clr-fondoDorado) ; 
}

.bg-primary h2 {
    margin-bottom: 1rem;
}

@media (max-width: 40em) {
    .split {
        display: flex;
        flex-direction: column;
    }

    .bg-primary h2 {
        margin-top: 2rem;
    }

    .bg-dark h2,
    .bg-primary h2 {
        font-size: 1.3rem;
    }

    .bg-dark p,
    .bg-primary p {
        font-size: 1rem;
    }
}





/*===============================================*/
/* FOOTER */
.logoH img {
    width: 6%;
    margin-left: auto;
    margin-right: auto;
    display: block;
    padding-top: 0.5rem;
}

footer .piePagina {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    font-family: var(--ff-roboto);
    font-size: 0.8rem;
    text-align: center;
    background-color: var(--clr-fondoDorado);
}

footer .copyR {
    text-align: center;
    padding-left: 3rem;
    padding-top: 1rem;
}

@media (max-width: 40em) {
    footer .piePagina{
        display: block;
    }
}